
using System.Diagnostics;
using System.Collections;
using System.Collections.Generic;
using System;
using Godot;


namespace Rokojori
{  
  [Tool]
  [GlobalClass]
  public partial class SecondsDuration:Duration
  {
    [Export]
    public float seconds;
    
    public override float GetDurationInSeconds()
    {
      return seconds;
    }

    public static SecondsDuration Create( float seconds, TimeLine tl )
    {
      var sd = new SecondsDuration();
      sd.seconds = seconds;
      sd.timeLine = tl;
      return sd;

    }
  }
}